 - rethink the error signaling code (perhaps implement finer-grained
   exceptions when using the v3 protocol)


 - SSL support
 

 - add support for asynchronous events signaled by the backend,
   probably using implementation mechanisms such as CMUCL's
   SERVE-EVENT support


 - add support for the SQL bit string data type
   CREATE TABLE test (a BUT(3), b BIT VARYING(5))
     INSERT INTO TEST VALUES (B'101', B'00');

 - in PG-CONNECT, use getaddrinfo_all() to try connecting to each
   possible address for a hostname

 - maybe use CancelRequest to back out of error with grace?

 - we should return the oid of the object on inserts

 - use CopyData #\d methods

 - handle CopyInResponse and CopyOutResponse in pg-exec 

 - use Describe 
